Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class GroupMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.StringMatcher<T>
          org.quartz.impl.matchers.GroupMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

    public class GroupMatcher<T extends Key<?>>

extends StringMatcher<T>

Matches on group (ignores name) property of Keys.

Author:
  jhouse
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.quartz.impl.matchers.StringMatcher
`StringMatcher.StringOperatorName`

Field Summary

Fields inherited from class org.quartz.impl.matchers.StringMatcher
`compareTo, compareWith`

Constructor Summary
`protected` | `GroupMatcher(String compareTo, StringMatcher.StringOperatorName compareWith)`

Method Summary
`static
`<T extends Key<T>> GroupMatcher<T>`
` | `anyGroup()` Create a GroupMatcher that matches groups starting with the given string.
`static GroupMatcher<JobKey>` | `anyJobGroup()` Create a GroupMatcher that matches job groups starting with the given string.
`static GroupMatcher<TriggerKey>` | `anyTriggerGroup()` Create a GroupMatcher that matches trigger groups starting with the given string.
`protected String` | `getValue(T key)`
`static
`<T extends Key<T>> GroupMatcher<T>`
` | `groupContains(String compareTo)` Create a GroupMatcher that matches groups containing the given string.
`static
`<T extends Key<T>> GroupMatcher<T>`
` | `groupEndsWith(String compareTo)` Create a GroupMatcher that matches groups ending with the given string.
`static
`<T extends Key<T>> GroupMatcher<T>`
` | `groupEquals(String compareTo)` Create a GroupMatcher that matches groups equaling the given string.
`static
`<T extends Key<T>> GroupMatcher<T>`
` | `groupStartsWith(String compareTo)` Create a GroupMatcher that matches groups starting with the given string.
`static GroupMatcher<JobKey>` | `jobGroupContains(String compareTo)` Create a GroupMatcher that matches job groups containing the given string.
`static GroupMatcher<JobKey>` | `jobGroupEndsWith(String compareTo)` Create a GroupMatcher that matches job groups ending with the given string.
`static GroupMatcher<JobKey>` | `jobGroupEquals(String compareTo)` Create a GroupMatcher that matches job groups equaling the given string.
`static GroupMatcher<JobKey>` | `jobGroupStartsWith(String compareTo)` Create a GroupMatcher that matches job groups starting with the given string.
`static GroupMatcher<TriggerKey>` | `triggerGroupContains(String compareTo)` Create a GroupMatcher that matches trigger groups containing the given string.
`static GroupMatcher<TriggerKey>` | `triggerGroupEndsWith(String compareTo)` Create a GroupMatcher that matches trigger groups ending with the given string.
`static GroupMatcher<TriggerKey>` | `triggerGroupEquals(String compareTo)` Create a GroupMatcher that matches trigger groups equaling the given string.
`static GroupMatcher<TriggerKey>` | `triggerGroupStartsWith(String compareTo)` Create a GroupMatcher that matches trigger groups starting with the given string.

Methods inherited from class org.quartz.impl.matchers.StringMatcher
`equals, getCompareToValue, getCompareWithOperator, hashCode, isMatch`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupMatcher

    protected GroupMatcher(String compareTo,
                           StringMatcher.StringOperatorName compareWith)

Method Detail

### groupEquals

    public static <T extends Key<T>> GroupMatcher<T> groupEquals(String compareTo)

  Create a GroupMatcher that matches groups equaling the given string.

### jobGroupEquals

    public static GroupMatcher<JobKey> jobGroupEquals(String compareTo)

  Create a GroupMatcher that matches job groups equaling the given string.

### triggerGroupEquals

    public static GroupMatcher<TriggerKey> triggerGroupEquals(String compareTo)

  Create a GroupMatcher that matches trigger groups equaling the given string.

### groupStartsWith

    public static <T extends Key<T>> GroupMatcher<T> groupStartsWith(String compareTo)

  Create a GroupMatcher that matches groups starting with the given string.

### jobGroupStartsWith

    public static GroupMatcher<JobKey> jobGroupStartsWith(String compareTo)

  Create a GroupMatcher that matches job groups starting with the given string.

### triggerGroupStartsWith

    public static GroupMatcher<TriggerKey> triggerGroupStartsWith(String compareTo)

  Create a GroupMatcher that matches trigger groups starting with the given string.

### groupEndsWith

    public static <T extends Key<T>> GroupMatcher<T> groupEndsWith(String compareTo)

  Create a GroupMatcher that matches groups ending with the given string.

### jobGroupEndsWith

    public static GroupMatcher<JobKey> jobGroupEndsWith(String compareTo)

  Create a GroupMatcher that matches job groups ending with the given string.

### triggerGroupEndsWith

    public static GroupMatcher<TriggerKey> triggerGroupEndsWith(String compareTo)

  Create a GroupMatcher that matches trigger groups ending with the given string.

### groupContains

    public static <T extends Key<T>> GroupMatcher<T> groupContains(String compareTo)

  Create a GroupMatcher that matches groups containing the given string.

### jobGroupContains

    public static GroupMatcher<JobKey> jobGroupContains(String compareTo)

  Create a GroupMatcher that matches job groups containing the given string.

### triggerGroupContains

    public static GroupMatcher<TriggerKey> triggerGroupContains(String compareTo)

  Create a GroupMatcher that matches trigger groups containing the given string.

### anyGroup

    public static <T extends Key<T>> GroupMatcher<T> anyGroup()

  Create a GroupMatcher that matches groups starting with the given string.

### anyJobGroup

    public static GroupMatcher<JobKey> anyJobGroup()

  Create a GroupMatcher that matches job groups starting with the given string.

### anyTriggerGroup

    public static GroupMatcher<TriggerKey> anyTriggerGroup()

  Create a GroupMatcher that matches trigger groups starting with the given string.

### getValue

    protected String getValue(T key)

  Specified by:
    `getValue` in class `StringMatcher<T extends Key<?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.